{% extends "./index.html" %}
{% load static %}
{% block contenido %}
    <div class="container">
        <div class="row">
            <div class="col-md-6">
                <h1 class="text-center blanco-text">Nueva Provincia</h1>
                <form class="mb-4" action="/guardarProvincia/" method="post" enctype="multipart/form-data" id="frm_nuevo_prov">
                    {% csrf_token %}
                    <div class="mb-3">
                        <label for="nombre_bf" class="form-label blanco-text">Nombre de la Provincia:</label>
                        <input type="text" name="nombre_bf" id="nombre_bf" class="form-control" required placeholder="Ingrese el Nombre de la Provincia">
                    </div>
                    <div class="mb-3">
                        <label for="codigo_bf" class="form-label blanco-text">Código Postal:</label>
                        <input type="text" name="codigo_bf" id="codigo_bf" class="form-control" required placeholder="Ingrese el Código Postal">
                    </div>
                    <div class="mb-3">
                        <label for="capital_bf" class="form-label blanco-text">Capital:</label>
                        <input type="text" name="capital_bf" id="capital_bf" class="form-control" required title="Ingrese un número con hasta dos decimales" placeholder="Ingrese la Capital">
                    </div>
                    <div class="mb-3">
                        <label for="region_bf" class="form-label blanco-text">Región:</label>
                        <input type="text" name="region_bf" id="region_bf" class="form-control" required placeholder="Ingrese la Región">
                    </div>
                    <div class="text-center">
                        <button type="submit" name="button" class="btn btn-primary">Guardar</button>
                        <button type="reset" name="button" class="btn btn-danger">Cancelar</button>
                    </div>
                </form>
            </div>
            <div class="col-md-6">
                <h1 class="text-center blanco-text">LISTADO DE LAS PROVINCIAS</h1>
                <table class="table" id="tbl_prov">
                    <thead>
                        <tr>
                            <th>ID</th>
                            <th>NOMBRE</th>
                            <th>CODIGO POSTAL</th>
                            <th>CAPITAL</th>
                            <th>REGION</th>
                            <th>ACCIONES</th>
                        </tr>
                    </thead>
                    <TBody>
                        {% for provincia in provincias %}
                            <tr>
                                <td>{{provincia.id_bf}}</td>
                                <td>{{provincia.nombre_bf}}</td>
                                <td>{{provincia.codigo_bf}}</td>
                                <td>{{provincia.capital_bf}}</td>
                                <td>{{provincia.region_bf}}</td>
                                <td>
                                    <a href="/editarProvincia/{{provincia.id_bf}}" class="btn btn-warning">Editar</a>
                                    <a href="javascript:void(0)" class="btn btn-danger" onclick="eliminarProvincia('/eliminarProvincia/{{provincia.id_bf}}');">Borrar</a>
                                </td>
                            </tr>
                        {% endfor %}
                    </TBody>
                </table>
            </div>
        </div>
    </div>


    <script type="text/javascript">
          function eliminarProvincia(url){
            iziToast.question({
                timeout: 15000,
                close: true,
                overlay: true,
                displayMode: 'once',
                id: 'question',
                zindex: 999,
                title: 'CONFIRMACIÓN',
                message: '¿Está seguro de eliminar el <h6> {{cliente.id}} </h6> seleccionado?',
                position: 'center',
                buttons: [
                    ['<button><b>SI</b></button>', function (instance, toast) {
                        instance.hide({ transitionOut: 'fadeOut' }, toast, 'button');
                        window.location.href=url;
                    }, true],
                    ['<button>NO</button>', function (instance, toast) {
                        instance.hide({ transitionOut: 'fadeOut' }, toast, 'button');
                    }],
                ]
            });
          }
        </script>

        <script type="text/javascript">
                  $("#frm_nuevo_prov").validate({
                    rules:{
                      "nombre_bf":{
                        required:true
                      },
                      "codigo_bf":{
                        required:true,
                        minlength:6,
                        maxlength:6
                      },
                      "capital_bf":{
                        required:true,

                      },
                      "region_bf":{
                        required:true
                      }
                    },
                    messages:{
                      "nombre_bf":{
                        required:"Por favor Ingrese un Nombre"
                      },
                      "codigo_bf":{
                        required:"Debe inresar el numero de Postal Valido",
                        minlength:"El Codigo Postal no debe tener menos de 6 digitos",
                        maxlength:"El Codigo Postal no debe tener mas de 6 digitos"
                      },
                      "capital_bf":{
                        required:"Debe ingresar una capital valida",
                        required:"Debe ingresar solo letras"

                      },
                      "region_bf":{
                        required:"Debe ingresar la region segun su Capital"
                      }
                    }
                  });
                </script>

                <script type="text/javascript">
                       //let table = new DataTable('#tbl_clientes');
                       $(document).ready(function() {
                           $('#tbl_prov').DataTable({
                               dom: 'Bfrtip',
                               language: {
                                 url: '//cdn.datatables.net/plug-ins/1.13.7/i18n/es-ES.json',
                               },
                               buttons: [
                                   {
                                       extend: 'pdfHtml5',
                                       text: '<i class="fa fa-file-pdf-o"></i> PDF',
                                       titleAttr: 'Exportar a PDF',
                                       className: 'btn btn-danger', // Clase de estilo para el botón
                                       title: 'LISTADO PROVINCIAS'
                                   },
                                   {
                                       extend: 'print',
                                       text: '<i class="fa fa-print"></i> Imprimir',
                                       titleAttr: 'Imprimir',
                                       className: 'btn btn-primary' // Clase de estilo para el botón
                                   },
                                   {
                                       extend: 'csv',
                                       text: '<i class="fa fa-file-text-o"></i> CSV',
                                       titleAttr: 'Exportar a CSV',
                                       className: 'btn btn-success' // Clase de estilo para el botón
                                   }
                               ]
                           });
                       });

                      </script>

{% endblock %}
